<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>MCUXpresso SDK API Reference Manual: RTC: Real Time Clock</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="fs_logo.gif"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">MCUXpresso SDK API Reference Manual
   &#160;<span id="projectnumber">Rev. 0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group__rtc.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">RTC: Real Time Clock</div>  </div>
</div><!--header-->
<div class="contents">
<a name="details" id="details"></a><h2 class="groupheader">Overview</h2>
<p>The MCUXpresso SDK provides a driver for the Real Time Clock (RTC) of MCUXpresso SDK devices.</p>
<h1><a class="anchor" id="RTCFunc"></a>
Function groups</h1>
<p>The RTC driver supports operating the module as a time counter.</p>
<h2><a class="anchor" id="RTCInit"></a>
Initialization and deinitialization</h2>
<p>The function <a class="el" href="group__rtc.html#ga9d13df422bcf270898ad8ce6f6e158fd" title="Ungates the RTC clock and configures the peripheral for basic operation. ">RTC_Init()</a> initializes the RTC with specified configurations. The function <a class="el" href="group__rtc.html#ga27bf0709ea4fec76bc016f19bb729218" title="Fills in the RTC config struct with the default settings. ">RTC_GetDefaultConfig()</a> gets the default configurations.</p>
<p>The function <a class="el" href="group__rtc.html#ga0f365b0df0c2e61b07a7e178bd0f1581" title="Stops the timer and gate the RTC clock. ">RTC_Deinit()</a> disables the RTC timer and disables the module clock.</p>
<h2><a class="anchor" id="RTCDatetime"></a>
Set &amp; Get Datetime</h2>
<p>The function <a class="el" href="group__rtc.html#ga5ddf5a972712795ee53468c3cc35b2de" title="Sets the RTC date and time according to the given time structure. ">RTC_SetDatetime()</a> sets the timer period in seconds. Users pass in the details in date &amp; time format by using the below data structure.</p>
<div class="fragment"><div class="line"><span class="keyword">typedef</span> <span class="keyword">struct </span>_rtc_datetime</div>
<div class="line">{</div>
<div class="line">    uint16_t year;  </div>
<div class="line">    uint8_t month;  </div>
<div class="line">    uint8_t day;    </div>
<div class="line">    uint8_t hour;   </div>
<div class="line">    uint8_t minute; </div>
<div class="line">    uint8_t second; </div>
<div class="line">} <a class="code" href="group__rtc.html#structrtc__datetime__t">rtc_datetime_t</a>;</div>
</div><!-- fragment --><p>The function <a class="el" href="group__rtc.html#gabd709e50b2b6129bd429352282890720" title="Gets the RTC time and stores it in the given time structure. ">RTC_GetDatetime()</a> reads the current timer value in seconds, converts it to date &amp; time format and stores it into a datetime structure passed in by the user.</p>
<h2><a class="anchor" id="RTCAlarm"></a>
Set &amp; Get Alarm</h2>
<p>The function <a class="el" href="group__rtc.html#gab2d6ccb1f963f5c38166bfe0a3e90955" title="Sets the RTC alarm time. ">RTC_SetAlarm()</a> sets the alarm time period in seconds. Users pass in the details in date &amp; time format by using the datetime data structure.</p>
<p>The function <a class="el" href="group__rtc.html#ga197e1135863c96d064eb1828a32487b2" title="Returns the RTC alarm time. ">RTC_GetAlarm()</a> reads the alarm time in seconds, converts it to date &amp; time format and stores it into a datetime structure passed in by the user.</p>
<h2><a class="anchor" id="RTCStart"></a>
Start &amp; Stop timer</h2>
<p>The function <a class="el" href="group__rtc.html#gae8e7b09ad38776c0e360debf20145d78" title="Starts the RTC time counter. ">RTC_StartTimer()</a> starts the RTC time counter.</p>
<p>The function <a class="el" href="group__rtc.html#ga57f9d747f6972fd0a20e6ddccb42f084" title="Stops the RTC time counter. ">RTC_StopTimer()</a> stops the RTC time counter.</p>
<h2><a class="anchor" id="RTCStatus"></a>
Status</h2>
<p>Provides functions to get and clear the RTC status.</p>
<h2><a class="anchor" id="RTCInterrupt"></a>
Interrupt</h2>
<p>Provides functions to enable/disable RTC interrupts and get current enabled interrupts.</p>
<h2><a class="anchor" id="RTCOscillator"></a>
RTC Oscillator</h2>
<p>Some SoC's allow control of the RTC oscillator through the RTC module.</p>
<p>The function <a class="el" href="group__rtc.html#gab8bc74661dc39d0ddd0ccc517a27f847" title="This function sets the specified capacitor configuration for the RTC oscillator. ">RTC_SetOscCapLoad()</a> allows the user to modify the capacitor load configuration of the RTC oscillator.</p>
<h2><a class="anchor" id="RTCMonotonic"></a>
Monotonic Counter</h2>
<p>Some SoC's have a 64-bit Monotonic counter available in the RTC module.</p>
<p>The function RTC_SetMonotonicCounter() writes a 64-bit to the counter.</p>
<p>The function RTC_GetMonotonicCounter() reads the monotonic counter and returns the 64-bit counter value to the user.</p>
<p>The function RTC_IncrementMonotonicCounter() increments the Monotonic Counter by one.</p>
<h1><a class="anchor" id="RTCUseCase"></a>
Typical use case</h1>
<h2><a class="anchor" id="RTCTick"></a>
RTC tick example</h2>
<p>Example to set the RTC current time and trigger an alarm. </p>
<div class="fragment"><div class="line"><span class="keywordtype">int</span> main(<span class="keywordtype">void</span>)</div>
<div class="line">{</div>
<div class="line">    uint32_t sec;</div>
<div class="line">    uint32_t currSeconds;</div>
<div class="line">    <a class="code" href="group__rtc.html#structrtc__datetime__t">rtc_datetime_t</a> date;</div>
<div class="line">    <a class="code" href="group__rtc.html#structrtc__config__t">rtc_config_t</a> rtcConfig;</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Board pin, clock, debug console init */</span></div>
<div class="line">    BOARD_InitHardware();</div>
<div class="line">    <span class="comment">/* Init RTC */</span></div>
<div class="line">    <a class="code" href="group__rtc.html#ga27bf0709ea4fec76bc016f19bb729218">RTC_GetDefaultConfig</a>(&amp;rtcConfig);</div>
<div class="line">    <a class="code" href="group__rtc.html#ga9d13df422bcf270898ad8ce6f6e158fd">RTC_Init</a>(RTC, &amp;rtcConfig);</div>
<div class="line">    <span class="comment">/* Select RTC clock source */</span></div>
<div class="line">    BOARD_SetRtcClockSource();</div>
<div class="line"></div>
<div class="line">    PRINTF(<span class="stringliteral">&quot;RTC example: set up time to wake up an alarm\r\n&quot;</span>);</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Set a start date time and start RT */</span></div>
<div class="line">    date.<a class="code" href="group__rtc.html#a9d9b3f17954a41223c07440f08edaf74">year</a> = 2014U;</div>
<div class="line">    date.<a class="code" href="group__rtc.html#a1621f010a30ff4e06636f08cdcb9a0b0">month</a> = 12U;</div>
<div class="line">    date.<a class="code" href="group__rtc.html#a6be9f8cd55c5ccc80f6bb3a0fa1a9d0f">day</a> = 25U;</div>
<div class="line">    date.<a class="code" href="group__rtc.html#af01da84e5dd15ca3713b29083a6893d2">hour</a> = 19U;</div>
<div class="line">    date.<a class="code" href="group__rtc.html#aaaeaa89246dcbf7a37b46ad854165285">minute</a> = 0;</div>
<div class="line">    date.<a class="code" href="group__rtc.html#a35ffc6bb746f813d06f2814c6d5d9d83">second</a> = 0;</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* RTC time counter has to be stopped before setting the date &amp; time in the TSR register */</span></div>
<div class="line">    <a class="code" href="group__rtc.html#ga57f9d747f6972fd0a20e6ddccb42f084">RTC_StopTimer</a>(RTC);</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Set RTC time to default */</span></div>
<div class="line">    <a class="code" href="group__rtc.html#ga5ddf5a972712795ee53468c3cc35b2de">RTC_SetDatetime</a>(RTC, &amp;date);</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Enable RTC alarm interrupt */</span></div>
<div class="line">    <a class="code" href="group__rtc.html#gac7de16884fa268bf9d1d1f4b983fc2d4">RTC_EnableInterrupts</a>(RTC, <a class="code" href="group__rtc.html#ggabed8712e00907f44b420d274fd368738abd7ca2093bc2df536c828d8c8ea3dab4">kRTC_AlarmInterruptEnable</a>);</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Enable at the NVIC */</span></div>
<div class="line">    EnableIRQ(RTC_IRQn);</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* Start the RTC time counter */</span></div>
<div class="line">    <a class="code" href="group__rtc.html#gae8e7b09ad38776c0e360debf20145d78">RTC_StartTimer</a>(RTC);</div>
<div class="line"></div>
<div class="line">    <span class="comment">/* This loop will set the RTC alarm */</span></div>
<div class="line">    <span class="keywordflow">while</span> (1)</div>
<div class="line">    {</div>
<div class="line">        busyWait = <span class="keyword">true</span>;</div>
<div class="line">        <span class="comment">/* Get date time */</span></div>
<div class="line">        <a class="code" href="group__rtc.html#gabd709e50b2b6129bd429352282890720">RTC_GetDatetime</a>(RTC, &amp;date);</div>
<div class="line"></div>
<div class="line">        <span class="comment">/* print default time */</span></div>
<div class="line">        PRINTF(<span class="stringliteral">&quot;Current datetime: %04hd-%02hd-%02hd %02hd:%02hd:%02hd\r\n&quot;</span>, date.<a class="code" href="group__rtc.html#a9d9b3f17954a41223c07440f08edaf74">year</a>, date.<a class="code" href="group__rtc.html#a1621f010a30ff4e06636f08cdcb9a0b0">month</a>, date.<a class="code" href="group__rtc.html#a6be9f8cd55c5ccc80f6bb3a0fa1a9d0f">day</a>, date.<a class="code" href="group__rtc.html#af01da84e5dd15ca3713b29083a6893d2">hour</a>,</div>
<div class="line">               date.<a class="code" href="group__rtc.html#aaaeaa89246dcbf7a37b46ad854165285">minute</a>, date.<a class="code" href="group__rtc.html#a35ffc6bb746f813d06f2814c6d5d9d83">second</a>);</div>
<div class="line"></div>
<div class="line">        <span class="comment">/* Get alarm time from the user */</span></div>
<div class="line">        sec = 0;</div>
<div class="line">        PRINTF(<span class="stringliteral">&quot;Input the number of second to wait for alarm \r\n&quot;</span>);</div>
<div class="line">        PRINTF(<span class="stringliteral">&quot;The second must be positive value\r\n&quot;</span>);</div>
<div class="line">        <span class="keywordflow">while</span> (sec &lt; 1)</div>
<div class="line">        {</div>
<div class="line">            SCANF(<span class="stringliteral">&quot;%d&quot;</span>, &amp;sec);</div>
<div class="line">        }</div>
<div class="line"></div>
<div class="line">        <span class="comment">/* Read the RTC seconds register to get current time in seconds */</span></div>
<div class="line">        currSeconds = RTC-&gt;TSR;</div>
<div class="line"></div>
<div class="line">        <span class="comment">/* Add alarm seconds to current time */</span></div>
<div class="line">        currSeconds += sec;</div>
<div class="line"></div>
<div class="line">        <span class="comment">/* Set alarm time in seconds */</span></div>
<div class="line">        RTC-&gt;TAR = currSeconds;</div>
<div class="line"></div>
<div class="line">        <span class="comment">/* Get alarm time */</span></div>
<div class="line">        <a class="code" href="group__rtc.html#ga197e1135863c96d064eb1828a32487b2">RTC_GetAlarm</a>(RTC, &amp;date);</div>
<div class="line"></div>
<div class="line">        <span class="comment">/* Print alarm time */</span></div>
<div class="line">        PRINTF(<span class="stringliteral">&quot;Alarm will occur at: %04hd-%02hd-%02hd %02hd:%02hd:%02hd\r\n&quot;</span>, date.<a class="code" href="group__rtc.html#a9d9b3f17954a41223c07440f08edaf74">year</a>, date.<a class="code" href="group__rtc.html#a1621f010a30ff4e06636f08cdcb9a0b0">month</a>, date.<a class="code" href="group__rtc.html#a6be9f8cd55c5ccc80f6bb3a0fa1a9d0f">day</a>,</div>
<div class="line">               date.<a class="code" href="group__rtc.html#af01da84e5dd15ca3713b29083a6893d2">hour</a>, date.<a class="code" href="group__rtc.html#aaaeaa89246dcbf7a37b46ad854165285">minute</a>, date.<a class="code" href="group__rtc.html#a35ffc6bb746f813d06f2814c6d5d9d83">second</a>);</div>
<div class="line"></div>
<div class="line">        <span class="comment">/* Wait until alarm occurs */</span></div>
<div class="line">        <span class="keywordflow">while</span> (busyWait)</div>
<div class="line">        {</div>
<div class="line">        }</div>
<div class="line"></div>
<div class="line">        PRINTF(<span class="stringliteral">&quot;\r\n Alarm occurs !!!! &quot;</span>);</div>
<div class="line">    }</div>
<div class="line">}</div>
</div><!-- fragment --> <table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:structrtc__datetime__t"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#structrtc__datetime__t">rtc_datetime_t</a></td></tr>
<tr class="memdesc:structrtc__datetime__t"><td class="mdescLeft">&#160;</td><td class="mdescRight">Structure is used to hold the date and time.  <a href="group__rtc.html#structrtc__datetime__t">More...</a><br/></td></tr>
<tr class="separator:structrtc__datetime__t"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:structrtc__config__t"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#structrtc__config__t">rtc_config_t</a></td></tr>
<tr class="memdesc:structrtc__config__t"><td class="mdescLeft">&#160;</td><td class="mdescRight">RTC config structure.  <a href="group__rtc.html#structrtc__config__t">More...</a><br/></td></tr>
<tr class="separator:structrtc__config__t"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:gabed8712e00907f44b420d274fd368738"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#gabed8712e00907f44b420d274fd368738">rtc_interrupt_enable_t</a> { <br/>
&#160;&#160;<a class="el" href="group__rtc.html#ggabed8712e00907f44b420d274fd368738ac8f25a2201dc4dd638c28d049d7d0913">kRTC_TimeInvalidInterruptEnable</a> = RTC_IER_TIIE_MASK, 
<br/>
&#160;&#160;<a class="el" href="group__rtc.html#ggabed8712e00907f44b420d274fd368738a6a518f6ebb6b1c04ae42ebc5003ea6be">kRTC_TimeOverflowInterruptEnable</a> = RTC_IER_TOIE_MASK, 
<br/>
&#160;&#160;<a class="el" href="group__rtc.html#ggabed8712e00907f44b420d274fd368738abd7ca2093bc2df536c828d8c8ea3dab4">kRTC_AlarmInterruptEnable</a> = RTC_IER_TAIE_MASK, 
<br/>
&#160;&#160;<a class="el" href="group__rtc.html#ggabed8712e00907f44b420d274fd368738afa4307c8ee86fd861d6ba4f1bc43c782">kRTC_SecondsInterruptEnable</a> = RTC_IER_TSIE_MASK
<br/>
 }</td></tr>
<tr class="memdesc:gabed8712e00907f44b420d274fd368738"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of RTC interrupts.  <a href="group__rtc.html#gabed8712e00907f44b420d274fd368738">More...</a><br/></td></tr>
<tr class="separator:gabed8712e00907f44b420d274fd368738"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa5edfafe0da586a9411fe4bafe32d9c5"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#gaa5edfafe0da586a9411fe4bafe32d9c5">rtc_status_flags_t</a> { <br/>
&#160;&#160;<a class="el" href="group__rtc.html#ggaa5edfafe0da586a9411fe4bafe32d9c5a6af0515ca5fae5c36599d2104f9c8fc7">kRTC_TimeInvalidFlag</a> = RTC_SR_TIF_MASK, 
<br/>
&#160;&#160;<a class="el" href="group__rtc.html#ggaa5edfafe0da586a9411fe4bafe32d9c5a9223509757776dfaf2ea741afef1bf90">kRTC_TimeOverflowFlag</a> = RTC_SR_TOF_MASK, 
<br/>
&#160;&#160;<a class="el" href="group__rtc.html#ggaa5edfafe0da586a9411fe4bafe32d9c5a12101de586ebe90b1662305f467d88b2">kRTC_AlarmFlag</a> = RTC_SR_TAF_MASK
<br/>
 }</td></tr>
<tr class="memdesc:gaa5edfafe0da586a9411fe4bafe32d9c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of RTC flags.  <a href="group__rtc.html#gaa5edfafe0da586a9411fe4bafe32d9c5">More...</a><br/></td></tr>
<tr class="separator:gaa5edfafe0da586a9411fe4bafe32d9c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaba10feedc5f3b239c134547709c82794"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#gaba10feedc5f3b239c134547709c82794">rtc_osc_cap_load_t</a> { <br/>
&#160;&#160;<a class="el" href="group__rtc.html#ggaba10feedc5f3b239c134547709c82794af1ad702ff4f5fe2f7943928c437cdbca">kRTC_Capacitor_2p</a> = RTC_CR_SC2P_MASK, 
<br/>
&#160;&#160;<a class="el" href="group__rtc.html#ggaba10feedc5f3b239c134547709c82794a1587d2d62aeaa6ff452ae2cc4dd58382">kRTC_Capacitor_4p</a> = RTC_CR_SC4P_MASK, 
<br/>
&#160;&#160;<a class="el" href="group__rtc.html#ggaba10feedc5f3b239c134547709c82794a8d37764da4f07e501abae2c62eea8b27">kRTC_Capacitor_8p</a> = RTC_CR_SC8P_MASK, 
<br/>
&#160;&#160;<a class="el" href="group__rtc.html#ggaba10feedc5f3b239c134547709c82794a6c70fa6e1d1a3de36abeca466bc81c84">kRTC_Capacitor_16p</a> = RTC_CR_SC16P_MASK
<br/>
 }</td></tr>
<tr class="memdesc:gaba10feedc5f3b239c134547709c82794"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of RTC Oscillator capacitor load settings.  <a href="group__rtc.html#gaba10feedc5f3b239c134547709c82794">More...</a><br/></td></tr>
<tr class="separator:gaba10feedc5f3b239c134547709c82794"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gab8bc74661dc39d0ddd0ccc517a27f847"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#gab8bc74661dc39d0ddd0ccc517a27f847">RTC_SetOscCapLoad</a> (RTC_Type *base, uint32_t capLoad)</td></tr>
<tr class="memdesc:gab8bc74661dc39d0ddd0ccc517a27f847"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets the specified capacitor configuration for the RTC oscillator.  <a href="#gab8bc74661dc39d0ddd0ccc517a27f847">More...</a><br/></td></tr>
<tr class="separator:gab8bc74661dc39d0ddd0ccc517a27f847"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5bf2f1b9b635918d74c5f4bb5b027d6c"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#ga5bf2f1b9b635918d74c5f4bb5b027d6c">RTC_Reset</a> (RTC_Type *base)</td></tr>
<tr class="memdesc:ga5bf2f1b9b635918d74c5f4bb5b027d6c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Performs a software reset on the RTC module.  <a href="#ga5bf2f1b9b635918d74c5f4bb5b027d6c">More...</a><br/></td></tr>
<tr class="separator:ga5bf2f1b9b635918d74c5f4bb5b027d6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Driver version</h2></td></tr>
<tr class="memitem:gaea33cb4ca030fb967d99babaec611ff9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaea33cb4ca030fb967d99babaec611ff9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#gaea33cb4ca030fb967d99babaec611ff9">FSL_RTC_DRIVER_VERSION</a>&#160;&#160;&#160;(<a class="el" href="group__flash__driver.html#ga812138aa3315b0c6953c1a26130bcc37">MAKE_VERSION</a>(2, 0, 0))</td></tr>
<tr class="memdesc:gaea33cb4ca030fb967d99babaec611ff9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Version 2.0.0. <br/></td></tr>
<tr class="separator:gaea33cb4ca030fb967d99babaec611ff9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Initialization and deinitialization</h2></td></tr>
<tr class="memitem:ga9d13df422bcf270898ad8ce6f6e158fd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#ga9d13df422bcf270898ad8ce6f6e158fd">RTC_Init</a> (RTC_Type *base, const <a class="el" href="group__rtc.html#structrtc__config__t">rtc_config_t</a> *config)</td></tr>
<tr class="memdesc:ga9d13df422bcf270898ad8ce6f6e158fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ungates the RTC clock and configures the peripheral for basic operation.  <a href="#ga9d13df422bcf270898ad8ce6f6e158fd">More...</a><br/></td></tr>
<tr class="separator:ga9d13df422bcf270898ad8ce6f6e158fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0f365b0df0c2e61b07a7e178bd0f1581"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#ga0f365b0df0c2e61b07a7e178bd0f1581">RTC_Deinit</a> (RTC_Type *base)</td></tr>
<tr class="memdesc:ga0f365b0df0c2e61b07a7e178bd0f1581"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stops the timer and gate the RTC clock.  <a href="#ga0f365b0df0c2e61b07a7e178bd0f1581">More...</a><br/></td></tr>
<tr class="separator:ga0f365b0df0c2e61b07a7e178bd0f1581"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27bf0709ea4fec76bc016f19bb729218"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#ga27bf0709ea4fec76bc016f19bb729218">RTC_GetDefaultConfig</a> (<a class="el" href="group__rtc.html#structrtc__config__t">rtc_config_t</a> *config)</td></tr>
<tr class="memdesc:ga27bf0709ea4fec76bc016f19bb729218"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fills in the RTC config struct with the default settings.  <a href="#ga27bf0709ea4fec76bc016f19bb729218">More...</a><br/></td></tr>
<tr class="separator:ga27bf0709ea4fec76bc016f19bb729218"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Current Time &amp; Alarm</h2></td></tr>
<tr class="memitem:ga5ddf5a972712795ee53468c3cc35b2de"><td class="memItemLeft" align="right" valign="top">status_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#ga5ddf5a972712795ee53468c3cc35b2de">RTC_SetDatetime</a> (RTC_Type *base, const <a class="el" href="group__rtc.html#structrtc__datetime__t">rtc_datetime_t</a> *datetime)</td></tr>
<tr class="memdesc:ga5ddf5a972712795ee53468c3cc35b2de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the RTC date and time according to the given time structure.  <a href="#ga5ddf5a972712795ee53468c3cc35b2de">More...</a><br/></td></tr>
<tr class="separator:ga5ddf5a972712795ee53468c3cc35b2de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabd709e50b2b6129bd429352282890720"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#gabd709e50b2b6129bd429352282890720">RTC_GetDatetime</a> (RTC_Type *base, <a class="el" href="group__rtc.html#structrtc__datetime__t">rtc_datetime_t</a> *datetime)</td></tr>
<tr class="memdesc:gabd709e50b2b6129bd429352282890720"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the RTC time and stores it in the given time structure.  <a href="#gabd709e50b2b6129bd429352282890720">More...</a><br/></td></tr>
<tr class="separator:gabd709e50b2b6129bd429352282890720"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab2d6ccb1f963f5c38166bfe0a3e90955"><td class="memItemLeft" align="right" valign="top">status_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#gab2d6ccb1f963f5c38166bfe0a3e90955">RTC_SetAlarm</a> (RTC_Type *base, const <a class="el" href="group__rtc.html#structrtc__datetime__t">rtc_datetime_t</a> *alarmTime)</td></tr>
<tr class="memdesc:gab2d6ccb1f963f5c38166bfe0a3e90955"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the RTC alarm time.  <a href="#gab2d6ccb1f963f5c38166bfe0a3e90955">More...</a><br/></td></tr>
<tr class="separator:gab2d6ccb1f963f5c38166bfe0a3e90955"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga197e1135863c96d064eb1828a32487b2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#ga197e1135863c96d064eb1828a32487b2">RTC_GetAlarm</a> (RTC_Type *base, <a class="el" href="group__rtc.html#structrtc__datetime__t">rtc_datetime_t</a> *datetime)</td></tr>
<tr class="memdesc:ga197e1135863c96d064eb1828a32487b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the RTC alarm time.  <a href="#ga197e1135863c96d064eb1828a32487b2">More...</a><br/></td></tr>
<tr class="separator:ga197e1135863c96d064eb1828a32487b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Interrupt Interface</h2></td></tr>
<tr class="memitem:gac7de16884fa268bf9d1d1f4b983fc2d4"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#gac7de16884fa268bf9d1d1f4b983fc2d4">RTC_EnableInterrupts</a> (RTC_Type *base, uint32_t mask)</td></tr>
<tr class="memdesc:gac7de16884fa268bf9d1d1f4b983fc2d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables the selected RTC interrupts.  <a href="#gac7de16884fa268bf9d1d1f4b983fc2d4">More...</a><br/></td></tr>
<tr class="separator:gac7de16884fa268bf9d1d1f4b983fc2d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad12d4e10c5601f53d1626a5ae71691b9"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#gad12d4e10c5601f53d1626a5ae71691b9">RTC_DisableInterrupts</a> (RTC_Type *base, uint32_t mask)</td></tr>
<tr class="memdesc:gad12d4e10c5601f53d1626a5ae71691b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disables the selected RTC interrupts.  <a href="#gad12d4e10c5601f53d1626a5ae71691b9">More...</a><br/></td></tr>
<tr class="separator:gad12d4e10c5601f53d1626a5ae71691b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad0a0f005f9deff51c6a686901b62cf56"><td class="memItemLeft" align="right" valign="top">static uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#gad0a0f005f9deff51c6a686901b62cf56">RTC_GetEnabledInterrupts</a> (RTC_Type *base)</td></tr>
<tr class="memdesc:gad0a0f005f9deff51c6a686901b62cf56"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the enabled RTC interrupts.  <a href="#gad0a0f005f9deff51c6a686901b62cf56">More...</a><br/></td></tr>
<tr class="separator:gad0a0f005f9deff51c6a686901b62cf56"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Status Interface</h2></td></tr>
<tr class="memitem:ga8e0dbfd23fc268adfcaa5c6d0c7b6650"><td class="memItemLeft" align="right" valign="top">static uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#ga8e0dbfd23fc268adfcaa5c6d0c7b6650">RTC_GetStatusFlags</a> (RTC_Type *base)</td></tr>
<tr class="memdesc:ga8e0dbfd23fc268adfcaa5c6d0c7b6650"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the RTC status flags.  <a href="#ga8e0dbfd23fc268adfcaa5c6d0c7b6650">More...</a><br/></td></tr>
<tr class="separator:ga8e0dbfd23fc268adfcaa5c6d0c7b6650"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga735b784e8d4027022e8f0370430e2837"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#ga735b784e8d4027022e8f0370430e2837">RTC_ClearStatusFlags</a> (RTC_Type *base, uint32_t mask)</td></tr>
<tr class="memdesc:ga735b784e8d4027022e8f0370430e2837"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears the RTC status flags.  <a href="#ga735b784e8d4027022e8f0370430e2837">More...</a><br/></td></tr>
<tr class="separator:ga735b784e8d4027022e8f0370430e2837"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Timer Start and Stop</h2></td></tr>
<tr class="memitem:gae8e7b09ad38776c0e360debf20145d78"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#gae8e7b09ad38776c0e360debf20145d78">RTC_StartTimer</a> (RTC_Type *base)</td></tr>
<tr class="memdesc:gae8e7b09ad38776c0e360debf20145d78"><td class="mdescLeft">&#160;</td><td class="mdescRight">Starts the RTC time counter.  <a href="#gae8e7b09ad38776c0e360debf20145d78">More...</a><br/></td></tr>
<tr class="separator:gae8e7b09ad38776c0e360debf20145d78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga57f9d747f6972fd0a20e6ddccb42f084"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#ga57f9d747f6972fd0a20e6ddccb42f084">RTC_StopTimer</a> (RTC_Type *base)</td></tr>
<tr class="memdesc:ga57f9d747f6972fd0a20e6ddccb42f084"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stops the RTC time counter.  <a href="#ga57f9d747f6972fd0a20e6ddccb42f084">More...</a><br/></td></tr>
<tr class="separator:ga57f9d747f6972fd0a20e6ddccb42f084"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/><h2 class="groupheader">Data Structure Documentation</h2>
<a name="structrtc__datetime__t" id="structrtc__datetime__t"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct rtc_datetime_t</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock"></div><table class="memberdecls">
<tr><td colspan="2"><h3>Data Fields</h3></td></tr>
<tr class="memitem:a9d9b3f17954a41223c07440f08edaf74"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#a9d9b3f17954a41223c07440f08edaf74">year</a></td></tr>
<tr class="memdesc:a9d9b3f17954a41223c07440f08edaf74"><td class="mdescLeft">&#160;</td><td class="mdescRight">Range from 1970 to 2099.  <a href="#a9d9b3f17954a41223c07440f08edaf74">More...</a><br/></td></tr>
<tr class="separator:a9d9b3f17954a41223c07440f08edaf74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1621f010a30ff4e06636f08cdcb9a0b0"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#a1621f010a30ff4e06636f08cdcb9a0b0">month</a></td></tr>
<tr class="memdesc:a1621f010a30ff4e06636f08cdcb9a0b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Range from 1 to 12.  <a href="#a1621f010a30ff4e06636f08cdcb9a0b0">More...</a><br/></td></tr>
<tr class="separator:a1621f010a30ff4e06636f08cdcb9a0b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6be9f8cd55c5ccc80f6bb3a0fa1a9d0f"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#a6be9f8cd55c5ccc80f6bb3a0fa1a9d0f">day</a></td></tr>
<tr class="memdesc:a6be9f8cd55c5ccc80f6bb3a0fa1a9d0f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Range from 1 to 31 (depending on month).  <a href="#a6be9f8cd55c5ccc80f6bb3a0fa1a9d0f">More...</a><br/></td></tr>
<tr class="separator:a6be9f8cd55c5ccc80f6bb3a0fa1a9d0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af01da84e5dd15ca3713b29083a6893d2"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#af01da84e5dd15ca3713b29083a6893d2">hour</a></td></tr>
<tr class="memdesc:af01da84e5dd15ca3713b29083a6893d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Range from 0 to 23.  <a href="#af01da84e5dd15ca3713b29083a6893d2">More...</a><br/></td></tr>
<tr class="separator:af01da84e5dd15ca3713b29083a6893d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaeaa89246dcbf7a37b46ad854165285"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#aaaeaa89246dcbf7a37b46ad854165285">minute</a></td></tr>
<tr class="memdesc:aaaeaa89246dcbf7a37b46ad854165285"><td class="mdescLeft">&#160;</td><td class="mdescRight">Range from 0 to 59.  <a href="#aaaeaa89246dcbf7a37b46ad854165285">More...</a><br/></td></tr>
<tr class="separator:aaaeaa89246dcbf7a37b46ad854165285"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35ffc6bb746f813d06f2814c6d5d9d83"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#a35ffc6bb746f813d06f2814c6d5d9d83">second</a></td></tr>
<tr class="memdesc:a35ffc6bb746f813d06f2814c6d5d9d83"><td class="mdescLeft">&#160;</td><td class="mdescRight">Range from 0 to 59.  <a href="#a35ffc6bb746f813d06f2814c6d5d9d83">More...</a><br/></td></tr>
<tr class="separator:a35ffc6bb746f813d06f2814c6d5d9d83"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h4 class="groupheader">Field Documentation</h4>
<a class="anchor" id="a9d9b3f17954a41223c07440f08edaf74"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t rtc_datetime_t::year</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a1621f010a30ff4e06636f08cdcb9a0b0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t rtc_datetime_t::month</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a6be9f8cd55c5ccc80f6bb3a0fa1a9d0f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t rtc_datetime_t::day</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="af01da84e5dd15ca3713b29083a6893d2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t rtc_datetime_t::hour</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aaaeaa89246dcbf7a37b46ad854165285"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t rtc_datetime_t::minute</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a35ffc6bb746f813d06f2814c6d5d9d83"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t rtc_datetime_t::second</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>

</div>
</div>
<a name="structrtc__config__t" id="structrtc__config__t"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct rtc_config_t</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock"><p>This structure holds the configuration settings for the RTC peripheral. To initialize this structure to reasonable defaults, call the <a class="el" href="group__rtc.html#ga27bf0709ea4fec76bc016f19bb729218" title="Fills in the RTC config struct with the default settings. ">RTC_GetDefaultConfig()</a> function and pass a pointer to your config structure instance.</p>
<p>The config struct can be made const so it resides in flash </p>
</div><table class="memberdecls">
<tr><td colspan="2"><h3>Data Fields</h3></td></tr>
<tr class="memitem:ab131dda45f974f96ffc809827e76f908"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab131dda45f974f96ffc809827e76f908"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#ab131dda45f974f96ffc809827e76f908">wakeupSelect</a></td></tr>
<tr class="memdesc:ab131dda45f974f96ffc809827e76f908"><td class="mdescLeft">&#160;</td><td class="mdescRight">true: Wakeup pin outputs the 32 KHz clock; false:Wakeup pin used to wakeup the chip <br/></td></tr>
<tr class="separator:ab131dda45f974f96ffc809827e76f908"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a211ab51b5aa34ab309954879f0c6c963"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a211ab51b5aa34ab309954879f0c6c963"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#a211ab51b5aa34ab309954879f0c6c963">updateMode</a></td></tr>
<tr class="memdesc:a211ab51b5aa34ab309954879f0c6c963"><td class="mdescLeft">&#160;</td><td class="mdescRight">true: Registers can be written even when locked under certain conditions, false: No writes allowed when registers are locked <br/></td></tr>
<tr class="separator:a211ab51b5aa34ab309954879f0c6c963"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cdb560a5062b3869a0172e08c856b15"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4cdb560a5062b3869a0172e08c856b15"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#a4cdb560a5062b3869a0172e08c856b15">supervisorAccess</a></td></tr>
<tr class="memdesc:a4cdb560a5062b3869a0172e08c856b15"><td class="mdescLeft">&#160;</td><td class="mdescRight">true: Non-supervisor accesses are allowed; false: Non-supervisor accesses are not supported <br/></td></tr>
<tr class="separator:a4cdb560a5062b3869a0172e08c856b15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa378ae2e19870f88b02bb37d2eb2a410"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa378ae2e19870f88b02bb37d2eb2a410"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#aa378ae2e19870f88b02bb37d2eb2a410">compensationInterval</a></td></tr>
<tr class="memdesc:aa378ae2e19870f88b02bb37d2eb2a410"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compensation interval that is written to the CIR field in RTC TCR Register. <br/></td></tr>
<tr class="separator:aa378ae2e19870f88b02bb37d2eb2a410"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7345f3eb3998ceb00a3a5262ae1ec0e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab7345f3eb3998ceb00a3a5262ae1ec0e"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__rtc.html#ab7345f3eb3998ceb00a3a5262ae1ec0e">compensationTime</a></td></tr>
<tr class="memdesc:ab7345f3eb3998ceb00a3a5262ae1ec0e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compensation time that is written to the TCR field in RTC TCR Register. <br/></td></tr>
<tr class="separator:ab7345f3eb3998ceb00a3a5262ae1ec0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="gabed8712e00907f44b420d274fd368738"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__rtc.html#gabed8712e00907f44b420d274fd368738">rtc_interrupt_enable_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="ggabed8712e00907f44b420d274fd368738ac8f25a2201dc4dd638c28d049d7d0913"></a>kRTC_TimeInvalidInterruptEnable</em>&nbsp;</td><td class="fielddoc">
<p>Time invalid interrupt. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggabed8712e00907f44b420d274fd368738a6a518f6ebb6b1c04ae42ebc5003ea6be"></a>kRTC_TimeOverflowInterruptEnable</em>&nbsp;</td><td class="fielddoc">
<p>Time overflow interrupt. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggabed8712e00907f44b420d274fd368738abd7ca2093bc2df536c828d8c8ea3dab4"></a>kRTC_AlarmInterruptEnable</em>&nbsp;</td><td class="fielddoc">
<p>Alarm interrupt. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggabed8712e00907f44b420d274fd368738afa4307c8ee86fd861d6ba4f1bc43c782"></a>kRTC_SecondsInterruptEnable</em>&nbsp;</td><td class="fielddoc">
<p>Seconds interrupt. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="gaa5edfafe0da586a9411fe4bafe32d9c5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__rtc.html#gaa5edfafe0da586a9411fe4bafe32d9c5">rtc_status_flags_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="ggaa5edfafe0da586a9411fe4bafe32d9c5a6af0515ca5fae5c36599d2104f9c8fc7"></a>kRTC_TimeInvalidFlag</em>&nbsp;</td><td class="fielddoc">
<p>Time invalid flag. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggaa5edfafe0da586a9411fe4bafe32d9c5a9223509757776dfaf2ea741afef1bf90"></a>kRTC_TimeOverflowFlag</em>&nbsp;</td><td class="fielddoc">
<p>Time overflow flag. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggaa5edfafe0da586a9411fe4bafe32d9c5a12101de586ebe90b1662305f467d88b2"></a>kRTC_AlarmFlag</em>&nbsp;</td><td class="fielddoc">
<p>Alarm flag. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="gaba10feedc5f3b239c134547709c82794"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__rtc.html#gaba10feedc5f3b239c134547709c82794">rtc_osc_cap_load_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="ggaba10feedc5f3b239c134547709c82794af1ad702ff4f5fe2f7943928c437cdbca"></a>kRTC_Capacitor_2p</em>&nbsp;</td><td class="fielddoc">
<p>2 pF capacitor load </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggaba10feedc5f3b239c134547709c82794a1587d2d62aeaa6ff452ae2cc4dd58382"></a>kRTC_Capacitor_4p</em>&nbsp;</td><td class="fielddoc">
<p>4 pF capacitor load </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggaba10feedc5f3b239c134547709c82794a8d37764da4f07e501abae2c62eea8b27"></a>kRTC_Capacitor_8p</em>&nbsp;</td><td class="fielddoc">
<p>8 pF capacitor load </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="ggaba10feedc5f3b239c134547709c82794a6c70fa6e1d1a3de36abeca466bc81c84"></a>kRTC_Capacitor_16p</em>&nbsp;</td><td class="fielddoc">
<p>16 pF capacitor load </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga9d13df422bcf270898ad8ce6f6e158fd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_Init </td>
          <td>(</td>
          <td class="paramtype">RTC_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__rtc.html#structrtc__config__t">rtc_config_t</a> *&#160;</td>
          <td class="paramname"><em>config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function issues a software reset if the timer invalid flag is set.</p>
<dl class="section note"><dt>Note</dt><dd>This API should be called at the beginning of the application using the RTC driver.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>RTC peripheral base address </td></tr>
    <tr><td class="paramname">config</td><td>Pointer to the user's RTC configuration structure. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga0f365b0df0c2e61b07a7e178bd0f1581"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void RTC_Deinit </td>
          <td>(</td>
          <td class="paramtype">RTC_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>RTC peripheral base address </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga27bf0709ea4fec76bc016f19bb729218"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_GetDefaultConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__rtc.html#structrtc__config__t">rtc_config_t</a> *&#160;</td>
          <td class="paramname"><em>config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The default values are as follows. </p>
<div class="fragment"><div class="line">*    config-&gt;wakeupSelect = <span class="keyword">false</span>;</div>
<div class="line">*    config-&gt;updateMode = <span class="keyword">false</span>;</div>
<div class="line">*    config-&gt;supervisorAccess = <span class="keyword">false</span>;</div>
<div class="line">*    config-&gt;compensationInterval = 0;</div>
<div class="line">*    config-&gt;compensationTime = 0;</div>
<div class="line">* </div>
</div><!-- fragment --> <dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">config</td><td>Pointer to the user's RTC configuration structure. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga5ddf5a972712795ee53468c3cc35b2de"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">status_t RTC_SetDatetime </td>
          <td>(</td>
          <td class="paramtype">RTC_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__rtc.html#structrtc__datetime__t">rtc_datetime_t</a> *&#160;</td>
          <td class="paramname"><em>datetime</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The RTC counter must be stopped prior to calling this function because writes to the RTC seconds register fail if the RTC counter is running.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>RTC peripheral base address </td></tr>
    <tr><td class="paramname">datetime</td><td>Pointer to the structure where the date and time details are stored.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>kStatus_Success: Success in setting the time and starting the RTC kStatus_InvalidArgument: Error because the datetime format is incorrect </dd></dl>

</div>
</div>
<a class="anchor" id="gabd709e50b2b6129bd429352282890720"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_GetDatetime </td>
          <td>(</td>
          <td class="paramtype">RTC_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__rtc.html#structrtc__datetime__t">rtc_datetime_t</a> *&#160;</td>
          <td class="paramname"><em>datetime</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>RTC peripheral base address </td></tr>
    <tr><td class="paramname">datetime</td><td>Pointer to the structure where the date and time details are stored. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gab2d6ccb1f963f5c38166bfe0a3e90955"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">status_t RTC_SetAlarm </td>
          <td>(</td>
          <td class="paramtype">RTC_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__rtc.html#structrtc__datetime__t">rtc_datetime_t</a> *&#160;</td>
          <td class="paramname"><em>alarmTime</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The function checks whether the specified alarm time is greater than the present time. If not, the function does not set the alarm and returns an error.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>RTC peripheral base address </td></tr>
    <tr><td class="paramname">alarmTime</td><td>Pointer to the structure where the alarm time is stored.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>kStatus_Success: success in setting the RTC alarm kStatus_InvalidArgument: Error because the alarm datetime format is incorrect kStatus_Fail: Error because the alarm time has already passed </dd></dl>

</div>
</div>
<a class="anchor" id="ga197e1135863c96d064eb1828a32487b2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_GetAlarm </td>
          <td>(</td>
          <td class="paramtype">RTC_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__rtc.html#structrtc__datetime__t">rtc_datetime_t</a> *&#160;</td>
          <td class="paramname"><em>datetime</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>RTC peripheral base address </td></tr>
    <tr><td class="paramname">datetime</td><td>Pointer to the structure where the alarm date and time details are stored. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac7de16884fa268bf9d1d1f4b983fc2d4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void RTC_EnableInterrupts </td>
          <td>(</td>
          <td class="paramtype">RTC_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>RTC peripheral base address </td></tr>
    <tr><td class="paramname">mask</td><td>The interrupts to enable. This is a logical OR of members of the enumeration <a class="el" href="group__rtc.html#gabed8712e00907f44b420d274fd368738" title="List of RTC interrupts. ">rtc_interrupt_enable_t</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad12d4e10c5601f53d1626a5ae71691b9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void RTC_DisableInterrupts </td>
          <td>(</td>
          <td class="paramtype">RTC_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>RTC peripheral base address </td></tr>
    <tr><td class="paramname">mask</td><td>The interrupts to enable. This is a logical OR of members of the enumeration <a class="el" href="group__rtc.html#gabed8712e00907f44b420d274fd368738" title="List of RTC interrupts. ">rtc_interrupt_enable_t</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad0a0f005f9deff51c6a686901b62cf56"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint32_t RTC_GetEnabledInterrupts </td>
          <td>(</td>
          <td class="paramtype">RTC_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>RTC peripheral base address</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The enabled interrupts. This is the logical OR of members of the enumeration <a class="el" href="group__rtc.html#gabed8712e00907f44b420d274fd368738" title="List of RTC interrupts. ">rtc_interrupt_enable_t</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga8e0dbfd23fc268adfcaa5c6d0c7b6650"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint32_t RTC_GetStatusFlags </td>
          <td>(</td>
          <td class="paramtype">RTC_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>RTC peripheral base address</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The status flags. This is the logical OR of members of the enumeration <a class="el" href="group__rtc.html#gaa5edfafe0da586a9411fe4bafe32d9c5" title="List of RTC flags. ">rtc_status_flags_t</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga735b784e8d4027022e8f0370430e2837"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_ClearStatusFlags </td>
          <td>(</td>
          <td class="paramtype">RTC_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>RTC peripheral base address </td></tr>
    <tr><td class="paramname">mask</td><td>The status flags to clear. This is a logical OR of members of the enumeration <a class="el" href="group__rtc.html#gaa5edfafe0da586a9411fe4bafe32d9c5" title="List of RTC flags. ">rtc_status_flags_t</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gae8e7b09ad38776c0e360debf20145d78"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void RTC_StartTimer </td>
          <td>(</td>
          <td class="paramtype">RTC_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>After calling this function, the timer counter increments once a second provided SR[TOF] or SR[TIF] are not set.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>RTC peripheral base address </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga57f9d747f6972fd0a20e6ddccb42f084"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void RTC_StopTimer </td>
          <td>(</td>
          <td class="paramtype">RTC_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>RTC's seconds register can be written to only when the timer is stopped.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>RTC peripheral base address </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gab8bc74661dc39d0ddd0ccc517a27f847"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void RTC_SetOscCapLoad </td>
          <td>(</td>
          <td class="paramtype">RTC_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>capLoad</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>RTC peripheral base address </td></tr>
    <tr><td class="paramname">capLoad</td><td>Oscillator loads to enable. This is a logical OR of members of the enumeration <a class="el" href="group__rtc.html#gaba10feedc5f3b239c134547709c82794" title="List of RTC Oscillator capacitor load settings. ">rtc_osc_cap_load_t</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga5bf2f1b9b635918d74c5f4bb5b027d6c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void RTC_Reset </td>
          <td>(</td>
          <td class="paramtype">RTC_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This resets all RTC registers except for the SWR bit and the RTC_WAR and RTC_RAR registers. The SWR bit is cleared by software explicitly clearing it.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>RTC peripheral base address </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
